読者です 読者をやめる 読者になる 読者になる

【サーバ】centOS5.5のインストール

基本的にhttp://centossrv.com/のサイトを参考にしています!
サイトで行ったのは、
1.CentOSインストール
3.CentOS初期設定
6.サーバー公開前のセキュリティ強化
です。
追加で行ったのは、Apachetomcatを入れるところを上のサイトを参考にしています。

Rubyも入れましたが、参考にしたのは
http://marnica.blog66.fc2.com/blog-entry-66.html
です。ただ、入れたあとに、
http://www.gfd-dennou.org/arch/davis/gfdnavi/doc/install/install-rubygems.htm
のほうが良かったかもしれないと思い、上の方のやり方ももう一度やってみました・・・・

アンインストールしようと思ったのですが、やはりよく分からず…
あとで先輩に聞いたところ、makeなどのようにコンパイルしてしまったものは簡単にアンインストール出来ないそうです… cuiめ…

そもそも、アンインストールしなければならないようになった理由が、

Error loading gem paths on load path in gem_prelude
can't modify frozen string
<internal:gem_prelude>:69:in `force_encoding'
<internal:gem_prelude>:69:in `set_home'
<internal:gem_prelude>:38:in `dir'
<internal:gem_prelude>:76:in `set_paths'
<internal:gem_prelude>:47:in `path'
<internal:gem_prelude>:286:in `push_all_highest_version_gems_on_load_path'
<internal:gem_prelude>:355:in `<compiled>'
RubyGems Environment:

このエラーです…。
Ruby1.9を入れたあとに、rubygemsをインストールし終わったあとに、コマンドを打つと必ず上のエラーが出ました…。

ぐぐってもよく分からず…
patchについて書いている英語のサイトもあったのですが‥よく分からず…

なんだかんだで、気がついたらネットワークが切れていて、しばらくしたあとにもう一度ログインしたらなぜか治っていました…!!
原因不明です…